RANLIB(1)

NOME
ranlib - genera l'indice dell'archivio.

SINTASSI
ranlib [--plugin name] [-DhHvVt] archive

DESCRIZIONE
ranlib genera un indice dei contenuti di un archivio e lo memorizza nell'archivio. L'indice elenca ciascun simbolo definito da un membro di un archivio che sia un file oggetto rilocabile.

Si può usare nm -s o nm --print-armap per elencare questo indice.

Un archivio con un tale indice velocizza il collegamento alla libreria e permette alle routine nella libreria di chiamare ciascun altra senza preoccuparsi della sua posizione nell'archivio.

Il programma GNU ranlib è un'altra forma di GNU ar; eseguire ranlib è completamente equivalente a eseguire ar -s.

OPZIONI

-h
-H
--help
    Mostra informazioni sull'uso di ranlib.

-v
-V
--version
    Mostra il numero di versione di ranlib.

-D  Opera in modalità deterministica. L'intestazione del membro dell'archivio della mappa dei simboli mostrerà zero per il UID, il GID, e la marcatura temporale. Quando viene usata quest'opzione, esecuzioni multiple produrranno file di output identici.

    Se binutils è stato configurato con --enable-deterministic-archives, questa modalità è abilitata in modo predefinito. Può essere disabilitata con l'opzione -U descritta più avanti.

-t  Aggiorna la marcatura temporale della mappa dei simboli di un archivio.

-U  Non opera in modalità deterministica. È l'inverso dell'opzione -D, vista prima: l'indice di archivio producono i valori effettivi di UID, GID, marcatura temporale, e permessi.

    Se binutils è stato configurato senza --enable-deterministic-archives, questa modalità è abilitata in modo predefinito.

@file
    Legge le opzioni da riga di comando da file. Le opzioni lette sono inserite al posto dell'opzione originale @file. Se file non esiste o non può essere letto, l'opzione sarà trattata letteralmente, e non rimossa.

    Le opzioni in file sono separate da spazi vuoti. Si può includere uno spazio vuoto in un'opzione racchiudendo l'intera opzione fra apici, singoli o doppi. Può essere incluso qualsiasi carattere (compresa la barra inversa) facendo precedere al carattere una barra inversa. Il file può esso stesso contenere ulteriori opzioni @file; ciascuna di queste opzioni sarà elaborata ricorsivamente.

VEDERE ANCHE
ar(1), nm(1), e i campi Info di binutils.

COPYRIGHT
Copyright (c) 1991-2013 Free Software Foundation, Inc.

Permission is granted to copy, distribute and/or modify this document under the terms of the GNU Free Documentation License, Version 1.3 or any later version published by the Free Software Foundation; with no Invariant Sections, with no Front-Cover Texts, and with no Back-Cover Texts. A copy of the license is included in the section entitled "GNU Free Documentation License".

DIRITTI DI COPIA
Copyright (c) 1991-2013 Free Software Foundation, Inc.

Traduzione in italiano a cura di ILDP - Italian Linux Documentation Project http://www.pluto.it/ildp. Segnalare eventuali errori di traduzione a ildp@pluto.it

Questa è una traduzione non ufficiale in italiano dei permessi di copia riportati nella precedente sezione "COPYRIGHT". Non è una pubblicazione della Free Software Foundation, e non ha validità legale per i termini di distribuzione della documentazione; solo il testo originale inglese ha tale validità.

This is an unofficial translation into Italian of the above section "COPYRIGHT". It was not published by the Free Software Foundation, and does not legally state the distribution terms for this documentation; only the original English text does that.

È permesso copiare, distribuire e/o modificare questo documento seguendo i termini della GNU Free Documentation License (Licenza per documentazione libera GNU), versione 1.3 o ogni versione successiva pubblicata dalla Free Software Foundation; senza sezioni non modificabili, senza testi di prima di copertina e di quarta di copertina. Una copia della licenza è inclusa nella sezione intitolata "GNU Free Documentation License" (Licenza per la documentazione libera GNU).